
skrivut=fopen('Event log.txt','w');


k=length(DelayTable(:,1));
j=length(DelayName);
if k~=j                                                                    
    disp('ERROR!! The dimensions of the tables "DelayName" and "DelayTable" are not valid')
    return
end


% Displaying the causes, statuses and consequences in text format
for p=1:k
    if DelayTable(p,2)==1 && TotalReducedSpeedDelay(p,2)>0
        str=sprintf('%s, %s' , DelayName{p} , ConsequenceName{DelayTable(p,2)} );
        %disp(str);
        Antall=TotalReducedSpeedDelay(p,1);
        Totaltid=TotalReducedSpeedDelay(p,2);
        Gjennomsnittid=TotalReducedSpeedDelay(p,2)/TotalReducedSpeedDelay(p,1);
        %disp(['Number of incidents: ' num2str(Antall)]);
        %disp(['Total time of reduced speed: ' num2str(Totaltid)]);
        %disp(['Average time of reduced speed when incurred: ' num2str(Gjennomsnittid)])
        %disp(' ');
        fprintf(skrivut, '\r\n %s ',str );
        fprintf(skrivut, '\r\n   Number of incidents: %0.0f',Antall);
        fprintf(skrivut, '\r\n   Total time of reduced speed: %0.1f',Totaltid);
        fprintf(skrivut, '\r\n   Average time of reduced speed when incurred: %0.0f \r\n',Gjennomsnittid);
        
    elseif DelayTable(p,2)==2 && TotalSpeDelayed(p,2)>0
        str=sprintf('%s, %s' , DelayName{p} , ConsequenceName{DelayTable(p,2)} );
        %disp(str);
        Antall=TotalSpeDelayed(p,1);
        Totaltid=TotalSpeDelayed(p,2);
        Gjennomsnittid=TotalSpeDelayed(p,2)/TotalSpeDelayed(p,1);
        %disp(['Number of incidents: ' num2str(Antall)]);
        %disp(['Total delay: ' num2str(Totaltid)]);
        %disp(['Average Average delay when incurred: ' num2str(Gjennomsnittid)])
        %disp(' ');
        fprintf(skrivut, '\r\n %s ',str );
        fprintf(skrivut, '\r\n   Number of incidents: %0.0f',Antall);
        fprintf(skrivut, '\r\n   Total delay: %0.1f',Totaltid);
        fprintf(skrivut, '\r\n   Average delay when incurred: %0.0f \r\n',Gjennomsnittid);
        
    elseif DelayTable(p,2)==3 && TotalChngRes(p,2)>0
        str=sprintf('%s, %s' , DelayName{p} , ConsequenceName{DelayTable(p,2)} );
        %disp(str);
        Antall=TotalChngRes(p,1);
        Totalfaktor=TotalChngRes(p,2);
        Gjennomsnittid=Totalfaktor/Antall;
        %disp(['Number of incidents: ' num2str(Antall)]);
        %disp(['Total delay: ' num2str(Totaltid)]);
        %disp(['Average Average delay when incurred: ' num2str(Gjennomsnittid)])
        %disp(' ');
        fprintf(skrivut, '\r\n %s ',str );
        fprintf(skrivut, '\r\n   Number of incidents: %0.0f',Antall);
        fprintf(skrivut, '\r\n   Total delay: %0.1f',Totaltid);
        fprintf(skrivut, '\r\n   Average delay when incurred: %0.0f \r\n',Gjennomsnittid);

    elseif DelayTable(p,2)==5 && TotalOffhire(p,1)>0
        str=sprintf('%s, %s' , DelayName{p} , ConsequenceName{DelayTable(p,2)} );
        %disp(str);
        Antall=TotalOffhire(p,1);
        Totaltid=TotalOffhire(p,2);
        Gjennomsnittid=TotalOffhire(p,2)/TotalOffhire(p,1);
        %disp(['Number of incidents: ' num2str(Antall)]);
        %disp(['Total delay: ' num2str(Totaltid)]);
        %disp(['Average Average delay when incurred: ' num2str(Gjennomsnittid)])
        %disp(' ');
        fprintf(skrivut, '\r\n %s ',str );
        fprintf(skrivut, '\r\n   Number of incidents: %0.0f',Antall);
        fprintf(skrivut, '\r\n   Total delay: %0.1f',Totaltid);
        fprintf(skrivut, '\r\n   Average delay when incurred: %0.0f \r\n',Gjennomsnittid);

    end

end
fclose(skrivut);

