clear nextp nextd CargoDemand;
nextp=zeros(nShip,12);
nextd=zeros(nShip,12);
CargoDemand=zeros(nCargo,2);


for k=1:nShip
    %Calculating what ports are next to be visited by the ships in the
    %original schedule
    for b=1:12
        if LegN(k)+b > nLeg(k)+1 && LegN(k)+b <= 2*nLeg(k)+2
            nextp(k,b)=Schedule(k,LegN(k)+b-nLeg(k)-1);
        elseif LegN(k)+b > 2*nLeg(k)+2
            nextp(k,b)=Schedule(k,LegN(k)+b-2*nLeg(k)-2);
        else
            nextp(k,b)=Schedule(k,LegN(k)+b); 
        end
        if b > 1
        nextd(k,b)=nextd(k,b-1)+Distance(nextp(k,b),nextp(k,b-1));
        end
    end
    %Calculating demand in the next 2 months original schedule
    time=0;
    for n=1:length(nextp(1,:))-1;
        nocargo=1;
        for l=1:nCargo
            if nextp(k,n) == Cargo(l,1) && nextp(k,n+1) == Cargo(l,2) && time <= 60*24
                if time <= 30*24
                    p=1;
                else 
                    p=2;
                end
                time=time+ceil(Distance(nextp(k,n),nextp(k,n+1))/Speed(1))+30*(n-1);
                CargoDemand(l,p)=CargoDemand(l,p)+ShipCap(k); 
                nocargo=0;
            end
        end
        if nocargo == 1
            time=time+ceil(Distance(nextp(k,n),nextp(k,n+1))/Speed(1))+30*(n-1);
        end
    end
end
