t = 0;                                                                      %Starting time
deltat = 6;                                                                 %Time between each calculation
T = 24*180;                                                                 %Total simulation time
Trec = 24*60;                                                               %The time where the ships must be back on original schedule 
PortStay = 30;                                                              %Time consumed in each port
Speed = [19 23 17];                                                         %Normal transit speed, high speed and slow steaming speed
RedSpeed=14;
CostPortDelay = 50000;                                                      %Cost of being delayed to a port
Pot=2;                                                                      %The exponential power which fuel consumption increases when increasing speed
Cfuel=600;                                                                  %$/mt fuel
EngineS=20000;                                                              %engine size in kW
FuelCon=176;                                                                %Specific fuel consumption, g/kWh
ApproachingPortDistance=2;                                                  %Defining the operation status
DeproachingPortDistance=2;                                                  %Defining the operation status
distancecost=10;
portcost=1000;
spotchart=15000;                                                            %Spot charter rates per day
DurationChangedResistance=36;
penalty=10000*5;                                                            %Cost of not delivering the cargo currently onboard
VeryLargeNumber=999999999;
LateinPort=24;                                                              %The amount of hours a ship is allowed to be late in port before reschedule takes place



Current=[                                                                   %Ship status, freight number (direct), freight number (indirect freight), Leg Progress, Hours delay
    0   0   0   0   0 ;                                                     %Status = 0 if no delay
    0   0   0   0   0 ;                                                     %Status =1 : need to reschedule,  2 : sailing with higher speed, 3: sailing
    0   0   0   0   0 ;                                                     %with reduced speed, 4: sailing with max speed, not able to regain delay within two ports
    0   0   0   0   0 ; 
    0   0   0   0   0 ; 
    0   0   0   0   0 ;
    0   0   0   0   0 ;
    0   0   0   0   0 ;
    0   0   0   0   0 ;
    0   0   0   0   0 
    ];
 

Cargo=[                                                                     %Different trades
1	2   0   0   0;
1	3   0   0   0;
1	7   0   0   0;
2	3   0   0   0;
2	4   0   0   0;
2	7   0   0   0;
3	1   0   0   0;
3	7   0   0   0;
3	4   0   0   0;
5	3   0   0   0;
6	4   0   0   0;
7   3   0   0   0
];


coordinates=[
 2500	 2500
 100     200
 3000   -200
 1500   -2000
-200    -2500
-2000   -100
-2000    1500
];


Schedule=[                                                                  %Ship specific routes
    1	2	3	7	2	4	3	7	2	5	3;
    2	4	3	1	2	3	4	1	2	3	1;
    2	3	1	2	4	3	1	2	3	1	0;
  	2	4	3	1	6	4	3   1   2	3	1;
    3	1	2	3	1   2	4	3	1	2   4;
    1	3	7	2	3	1	3	1	7	4   2;
    3   1   3   4   5   1   3   5   3   4   5;
    1   2   3   7   3   1   2   3   7   3   2;
    2   6   7   3   1   2   3   1   2   6   7;
    2   4   3   1   2   4   3   1   2   7   3
   
];

ShipNoPort=[
    0   0   ;
    5   0   ;
    5   6   ;
    5   0   ;
    7   0   ;
    0   0   ;
    5   0   ;
    4   6   ;
    5   0   ;
    6   0   
      
    ];

    
    
ShipCap=[
    1;
    1.2;
    1;
    1.3;
    0.8;
    1.5;
    1.1;
    0.4;
    0.8;
    1
    ];



